﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=7.31
@EndOfDesignText@
Sub Class_Globals
	
	Public Const XLIST_ORIENTATION_VERTICAL=0, _
				 XLIST_ORIENTATION_HORIZONTAL=1 As Int
	
	Private pDividerColor As Int
	Private pDividerHeight As Int
	Private pInsertAnimationDuration As Int
	Private pListOrientation As Int
	
	Private pPressedColor As Int
	
	Private pShowScrollBar As Boolean
	
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize
	pDividerColor=0xFFD9D7DE
	pDividerHeight=2
	pInsertAnimationDuration=300
	pListOrientation=XLIST_ORIENTATION_VERTICAL
End Sub

Public Sub getShowScrollBar() As Boolean
	
	Return pShowScrollBar
	
End Sub

'Prevents lists from showing scrollbars when set to true.
Public Sub setShowScrollBar(InVal As Boolean)
	
	pShowScrollBar=InVal
	
End Sub

Public Sub getDividerColor() As Int
	
	Return pDividerColor
	
End Sub

Public Sub setDividerColor(InVal As Int)
	
	pDividerColor=InVal
	
End Sub

Public Sub getPressedColor() As Int
	
	Return pPressedColor
	
End Sub

Public Sub setPressedColor(InVal As Int)
	
	pPressedColor=InVal
	
End Sub

Public Sub getDividerHeight() As Int
	
	Return pDividerHeight
	
End Sub

Public Sub setDividerHeight(InVal As Int)
	
	pDividerHeight=InVal
	
End Sub

Public Sub getListOrientation() As Int
	
	Return pListOrientation
	
End Sub

Public Sub setListOrientation(InVal As Int)
	
	pListOrientation=InVal
	
End Sub

Public Sub getInsertAnimationDuration() As Int
	
	Return pInsertAnimationDuration
	
End Sub

Public Sub setInsertAnimationDuration(InVal As Int)
	
	pInsertAnimationDuration=InVal
	
End Sub

Public Sub getMap() As Map
	
	
	Dim RetMap As Map
	RetMap.Initialize
	
	If pListOrientation=XLIST_ORIENTATION_VERTICAL Then
		RetMap.Put("ListOrientation","Vertical")
	Else
		RetMap.Put("ListOrientation","Horizontal")
	End If
	
	RetMap.Put("DividerColor",pDividerColor)
	RetMap.Put("DividerHeight",pDividerHeight)
	RetMap.Put("PressedColor",pPressedColor)
	RetMap.Put("InsertAnimationDuration",pInsertAnimationDuration)
	
	'This is an additional property which the custom list view didn't previously support.
	RetMap.Put("ShowScrollBar",pShowScrollBar)

	Return RetMap
End Sub
